> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connect.fastenhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Catalog Entry

> Get branding & metadata information associated with healthcare institutions supported by Fasten Connect. 

`brand_id` OR `portal_id` is required.

<Note>
This is used to display branding information in the Stitch.js popup widget.
This API not required, unless you are building a custom widget.
</Note>

<Warning>
**Do not call this endpoint live on every request.**

Fasten may occasionally merge or deprecate IDs when the source EHR data changes or deletes records. To avoid broken references and improve performance:

- Cache the results returned by this endpoint.
- To check for updates, use the `org_connection_id` to call the [status endpoint](/api-reference/organization_connection/get) and retrieve the current `brand_id` and `portal_id`.
- Then, use those values to query the catalog GET endpoint and update your cached results accordingly.

Following this pattern ensures you always have the latest data without risking failures from deprecated IDs.
</Warning>

<Badge color="green">TEFCA</Badge> If `tefca_directory_id` and `brand_id` are available, you should retrieve both. `tefca_directory_id` will provide an accurate name for the Healthcare Provider, while the `brand_id` can be used for logos and other branding information. However, if you can only retrieve one, prioritize `tefca_directory_id`.

TEFCA Directory IDs are subject to change by the TEFCA governing body and may be deprecated without notice. TEFCA Directory IDs are only cached for 2 weeks, after which they are removed from the catalog.



## OpenAPI

````yaml GET /bridge/catalog
openapi: 3.0.1
info:
  title: Fasten Connect
  description: >-
    Useful links:

    - [Fasten Connect API
    repository](https://github.com/fastenhealth/fasten-connect-api)

    - [Fasten Connect Developer
    Portal](https://github.com/fastenhealth/fasten-connect-app)
  termsOfService: https://www.fastenhealth.com/
  contact:
    email: connect@fastenhealth.com
  license:
    name: Private
  version: 1.0.11
servers:
  - url: https://api.connect.fastenhealth.com/v1/
    description: Use this server for both live and test mode.
security: []
tags:
  - name: auth
    description: Portal Authentication & Signup
  - name: user
    description: Operations about user
  - name: org
    description: Operations about organization
  - name: bridge
    description: Customer (organization) facing APIs
  - name: catalog
    description: Catalog APIs
externalDocs:
  description: Find out more about Fasten Connect
  url: https://www.fastenhealth.com/
paths:
  /bridge/catalog:
    get:
      tags:
        - bridge
      description: >-
        Get branding & metadata information associated with healthcare
        institutions supported by Fasten Connect. 


        `brand_id` OR `portal_id` is required.


        <Note>

        This is used to display branding information in the Stitch.js popup
        widget.

        This API not required, unless you are building a custom widget.

        </Note>


        <Warning>

        **Do not call this endpoint live on every request.**


        Fasten may occasionally merge or deprecate IDs when the source EHR data
        changes or deletes records. To avoid broken references and improve
        performance:


        - Cache the results returned by this endpoint.

        - To check for updates, use the `org_connection_id` to call the [status
        endpoint](/api-reference/organization_connection/get) and retrieve the
        current `brand_id` and `portal_id`.

        - Then, use those values to query the catalog GET endpoint and update
        your cached results accordingly.


        Following this pattern ensures you always have the latest data without
        risking failures from deprecated IDs.

        </Warning>


        <Badge color="green">TEFCA</Badge> If `tefca_directory_id` and
        `brand_id` are available, you should retrieve both. `tefca_directory_id`
        will provide an accurate name for the Healthcare Provider, while the
        `brand_id` can be used for logos and other branding information.
        However, if you can only retrieve one, prioritize `tefca_directory_id`.


        TEFCA Directory IDs are subject to change by the TEFCA governing body
        and may be deprecated without notice. TEFCA Directory IDs are only
        cached for 2 weeks, after which they are removed from the catalog.
      parameters:
        - name: api_mode
          in: query
          description: API Mode, used to filter institutions during lookup.
          required: true
          schema:
            type: string
        - name: public_id
          in: query
          description: >-
            Public ID for Organization credential. See Authentication for more
            information
          required: true
          schema:
            type: string
        - name: portal_id
          in: query
          description: Portal ID (required if Brand ID or TEFCA Directory ID is not set)
          required: false
          schema:
            type: string
        - name: brand_id
          in: query
          description: Brand ID (required if Portal ID or TEFCA Directory ID is not set)
          required: false
          schema:
            type: string
        - name: tefca_directory_id
          in: query
          description: TEFCA Directory ID (required if Portal ID or Brand ID is not set)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                allOf:
                  - $ref: '#/components/schemas/ResponseWrapper'
                  - type: object
                    properties:
                      data:
                        type: object
                        anyOf:
                          - $ref: '#/components/schemas/CatalogPortal'
                          - $ref: '#/components/schemas/CatalogBrand'
components:
  schemas:
    ResponseWrapper:
      type: object
      properties:
        success:
          type: boolean
          example: true
        error:
          type: string
          example: ''
      xml:
        name: responseWrapper
    CatalogPortal:
      type: object
      description: Patient Portal information for a healthcare institution
      properties:
        id:
          type: string
          format: uuid
          example: 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
        last_updated:
          type: string
          format: date-time
          example: '2024-04-03T10:00:00Z'
        name:
          type: string
          example: Acme Health, Inc.
        portal_website:
          type: string
          format: uri
          example: https://www.example.com/privacy_policy
        description:
          type: string
          example: >-
            Acme Health, Inc. is a leading provider of healthcare services in
            the United States.
        endpoint_ids:
          type: array
          items:
            type: string
            format: uuid
          example:
            - 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
      xml:
        name: catalogportal
    CatalogBrand:
      type: object
      description: Branding information for a healthcare institution
      properties:
        id:
          type: string
          format: uuid
          example: 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
        last_updated:
          type: string
          format: date-time
          example: '2024-04-03T10:00:00Z'
        name:
          type: string
          example: Acme Health, Inc.
        brand_website:
          type: string
          format: uri
          example: https://www.example.com/
        aliases:
          type: array
          items:
            type: string
          example:
            - Acme Health
            - Acme Health, Inc.
        description:
          type: string
          example: >-
            Acme Health, Inc. is a leading provider of healthcare services in
            the United States.
        portal_ids:
          type: array
          items:
            type: string
            format: uuid
          example:
            - 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
        brand_ids:
          type: array
          items:
            type: string
            format: uuid
          example:
            - 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
      xml:
        name: catalogportal

````